<?php
require_once 'core/sys.php';
require_once 'core/online_guest.php'; 
unreg();
head('Регистрация');
echo '<div class="title">Регистрация</div>';
	if(!empty($_GET['r'])){
	$ref = '&r='.$_GET['r'];
	}else{
	$ref='';
	}
if (!empty($_POST['login']) and !empty($_POST['pass']) and !empty($_POST['password1']) and !empty($_POST['mail']) and !empty($_POST['code']))
{

	# Фильтруем все POST данные
	$login = protect($_POST['login']);
	$mail = protect($_POST['mail']);
	$password = protect($_POST['pass']);
	$password1 = protect($_POST['password1']);
 	$code = strtolower(protect($_POST['code']));
	$pers = int($_POST['pers']);
	
	$pers_test= mysql_num_rows(mysql_query("SELECT `id` FROM `pers` WHERE `id`='".$pers."'"));
	$pers_id = mysql_fetch_assoc(mysql_query("SELECT * FROM `pers` WHERE `id`='".$pers."'"));
	/* Проверка персов */
	if($pers_test==0){
	echo 'Не верный персонаж!';
	foot();
	exit;
	}
	/* Проверка паролей */
	if($password != $password1)
	{
		echo '<div id="error">Пароли не совпадают!</div>
		<a href="signup.php">Назад</a>';
		foot();
		exit;
	}
	/* Проверка проверочного кода */
	if(@$_SESSION['code'] != $code)
	{
		echo '<div id="error">Проверочный код введен не верно!</div>
		<a href="signup.php">Назад</a>';
		foot();
		exit;
	}
	/* Проверка логина (зарегистрирован или нет) */
	if (mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `login` = '".$login."' LIMIT 1"),0) != 0)
	{
		echo '<div id="error">Логин уже зарегистрирован!</div>
		<a href="signup.php">Назад</a>';
		foot();
		exit;
	}
	/* Проверка логина на символы */
	if(strlen($login) < 3 or strlen($login) > 20){
	echo 'Не верная длинна логина.Логин должен быть не меньше 3-х символов и не больше 20!';
	foot();
	exit;
	}
 	if (!preg_match('|^[a-z0-9\-]+$|i',$login))
 	{
		echo '<div id="error">В логине можно использовать только латиницу и цифры!</div>
		<a href="signup.php">Назад</a>';
		foot();
		exit;
    }
    /* Проверка email на символы */
    if (empty($mail)or!filter_var($mail, FILTER_VALIDATE_EMAIL))
    {
		echo '<div id="error">Вы ввели неверный адрес e-mail, необходим формат name@site.domen!</div>
		<a href="signup.php">Назад</a>';
		foot();
		exit;
    }

	/* Проверка EMAIL на существование */
	if (!empty($mail) and (mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `mail` = '".$mail."' LIMIT 1"),0) != 0))
	{
		echo '<div id="error">Пользователь с таким email уже зарегистрирован!</div>
		<a href="signup.php">Назад</a>';
		foot();
		exit;
	}
	else
	{
		$subject = 'Регистрация ('.$set['http'].')';
		$regmail = "Здравствуйте ".$login."<br />\r\nТеперь вы зарегистрированный пользователь сайта $set[http] , сохраните ваш логин и пароль  в надежном месте, он вам еще пригодится.<br />\r\nВаши данные для входа на на сайт<br />\r\nЛогин: ".$login."<br />\r\nПароль: ".$password."<br />\r\n<br />\r\nНадеемся вам понравится у нас!<br />\r\nС уважением, администрация сайта<br />\r\n";
		$adds = "From: <$set[mail_admin]>\n";
		$adds .= "X-sender: <$set[mail_admin]>\n";
		$adds .= "Content-Type: text/html; charset=utf-8\n";
		@mail($mail,$subject,$regmail,$adds);
 	}
	unset($_SESSION['code']);

	mysql_query("INSERT INTO `users` (login,pass,mail,pers,reg_time,time,strength,defense) values('".$login."','".md5_sault($password)."','".$mail."','".$pers_id['id']."',".time().",".time().",'".$pers_id['strength']."','".$pers_id['defense']."')");
	mysql_query("INSERT INTO `chat` SET
	`user_id`='3',
	`text`='<span style=\"font-size: 75%;\">В рядах одаренных пополнение. Поприветствуем новичка <b>".$login."</b>!</span>',
	`time`='".time()."'");
	
	echo '<div class="row">Вы успешно зарегистрированы.</div>
	<a href="sign.php?login='.$login.'&amp;pass='.$password.'">Войти</a>';

	header('Location: sign.php?login='.$login.'&pass='.$password.$ref );
	
	foot();
	exit;
}else{
$pers_sql = mysql_query("SELECT * FROM `pers`");
?>
<div class="row">
<form action="signup.php?<?php echo $ref; ?>" method="post">
*Логин: (Английские буквы и цифры)[A-z 0-9]<br/>
<input name="login" type="text" value="" /><br/>
*Персонаж: <a href="faq.php?pers">подробнее</a><br/>
<select name="pers">
<?php
while($pers = mysql_fetch_assoc($pers_sql)){
echo '<option value="'.$pers['id'].'">'.$pers['name'].'</option>';
}
?>
</select><br/>
*Пароль:<br/>
<input name="pass" type="password" value="" /><br/>
*Повторите пароль:<br/>

<input name="password1" type="password" value="" /><br/>
*Почта (для восстановления пароля):<br/>
<input name="mail" type="text" value="" /><br/>
<img src="captcha.php" onclick="this.src = 'captcha.php?' + Math.random();"/> * введите большие цифры<br/>
<small>Если вы не видете код,кликните по картинке<br>
</small><br>
<input name="code" type="text" value="" /><br/>
<input type="submit" value="Регистрация" /></form><br/><font color="red">*</font> Поля  обязательные для заполнения</div>
<?php
}
foot();
?>